Package com.opensymphony.module.sitemesh.parser

# Class TokenizedHTMLPage

java.lang.Object
com.opensymphony.module.sitemesh.parser.AbstractPage
com.opensymphony.module.sitemesh.parser.AbstractHTMLPage
com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage

All Implemented Interfaces:
  `PageBuilder`, `HTMLPage`, `Page`

public class TokenizedHTMLPage extends AbstractHTMLPage implements PageBuilder
HTMLPage implementation that builds itself based on the incoming 'tag' and 'text' tokens fed to it from the HTMLTagTokenizer.

Author:
  Joe Walnes
See Also:
  - `HTMLPageParser`
  - `TagTokenizer`

## Field Summary

Fields
Modifier and Type
Field
Description
`private CharArray`
`body`
`private CharArray`
`head`

### Fields inherited from class com.opensymphony.module.sitemesh.parser.AbstractPage

`pageData`

## Constructor Summary

Constructors
Constructor
Description
`TokenizedHTMLPage(char[] original, CharArray body, CharArray head)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBody()`
Convenience method to return the contents of the `<body>` tag.
`String`
`getHead()`
Convenience method to return the contents of the `<head>` tag as a String.
`String`
`getPage()`
Convenience method to return the contents of the `Page` in its original format.
`void`
`writeBody(Writer out)`
Write data of html `<body>` tag.
`void`
`writeHead(Writer out)`
Write data of html `<head>` tag.

### Methods inherited from class com.opensymphony.module.sitemesh.parser.AbstractHTMLPage

`isFrameSet, setFrameSet`

### Methods inherited from class com.opensymphony.module.sitemesh.parser.AbstractPage

`addProperty, getBooleanProperty, getContentLength, getIntProperty, getLongProperty, getProperties, getProperty, getPropertyKeys, getRequest, getTitle, isPropertySet, noNull, setRequest, writePage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.opensymphony.module.sitemesh.Page

`addProperty, getBooleanProperty, getContentLength, getIntProperty, getLongProperty, getProperties, getProperty, getPropertyKeys, getRequest, getTitle, isPropertySet, setRequest, writePage`

### Methods inherited from interface com.opensymphony.module.sitemesh.html.rules.PageBuilder

`addProperty`

## Field Details

### body

private CharArray body

### head

private CharArray head

## Constructor Details

### TokenizedHTMLPage

public TokenizedHTMLPage(char[] original, CharArray body, CharArray head)

## Method Details

### writeHead

public void writeHead(Writer out) throws IOException
Description copied from class: `AbstractHTMLPage`
Write data of html `<head>` tag.

Must be implemented. Data written should not actually contain the head tags, but all the data in between.

Specified by:
  `writeHead` in interface `HTMLPage`
Specified by:
  `writeHead` in class `AbstractHTMLPage`
Throws:
  `IOException`

### writeBody

public void writeBody(Writer out) throws IOException
Description copied from class: `AbstractPage`
Write data of html `<body>` tag.

Must be implemented. Data written should not actually contain the body tags, but all the data in between.

Specified by:
  `writeBody` in interface `Page`
Specified by:
  `writeBody` in class `AbstractPage`
Throws:
  `IOException`

### getHead

public String getHead()
Description copied from interface: `HTMLPage`
Convenience method to return the contents of the `<head>` tag as a String.

Specified by:
  `getHead` in interface `HTMLPage`
See Also:
  - `HTMLPage.writeHead(java.io.Writer)`

### getBody

public String getBody()
Description copied from interface: `Page`
Convenience method to return the contents of the `<body>` tag.

Specified by:
  `getBody` in interface `Page`
Overrides:
  `getBody` in class `AbstractPage`
See Also:
  - `Page.writeBody(java.io.Writer)`

### getPage

public String getPage()
Description copied from interface: `Page`
Convenience method to return the contents of the `Page` in its original format.

Specified by:
  `getPage` in interface `Page`
Overrides:
  `getPage` in class `AbstractPage`
See Also:
  - `Page.writePage(java.io.Writer)`